Page MenuHomePhabricator

URL shortener widget is hard to copy
Closed, ResolvedPublic

Description

There are reports that URL shortener widget is hard to work with:

@Ladsgroup:

when I click on the short URL, I can't copy the short link, the popup goes away when I hover it.

@Nemo_bis:

Same for me (Firefox 66), I have to hold the left click and ctrl-c.

We should look into it and see how to make the widget more friendly.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 16 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jheald added a subscriber: Jheald.Apr 27 2019, 3:17 PM

I am finding this too.

The short link for the query itself works fine; but the short link to the query results is different -- if I highlight the link, preparing to ctrl-C ctrl-V copy it, as soon as I lift my finger off the trackpad the pop-up closes itself. I can only copy the short link if I hit ctrl-C on the keyboard while my finger is still on the trackpad to highlight it. (Using Chrome version 73 on Windows 10).

Bump, ran into it and extremely it's extremely frustrating. I guess some nasty OnMouseOver is playing tricks on us.

The code change that switched to new URL shortener handling is https://phabricator.wikimedia.org/rWDQGf5ed1c3dc1b99bef79d24585c8686a80d7f071e1 . The code uses clickover() but it for some reason works in query widget (top right) but not in the short result menu (down left). Probably some clickover setting is missing or related to the menu being in the middle.

Timo and Stas are working on this on the hackathon. Old situation had Iframe (that worked), new system doesn't so the menu should collapse when you click outside of it.

Krinkle claimed this task.May 17 2019, 12:38 PM

Change 510882 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[wikidata/query/gui@master] Use an <iframe> for rendering of UrlShortnener._getWikiShort()

https://gerrit.wikimedia.org/r/510882

Change 510882 merged by jenkins-bot:
[wikidata/query/gui@master] Use an <iframe> for rendering of UrlShortnener._getWikiShort()

https://gerrit.wikimedia.org/r/510882

Krinkle closed this task as Resolved.May 19 2019, 12:47 PM
Krinkle removed a project: Patch-For-Review.